Jump to content
  • Announcements

    • Allan

      Forum Rules   04/13/2018

      Hello folks! As some things are being fixed, we'll keep you updated. Per hour the Forum Rules don't have a dedicated "Tab", so here is the place that we have our Rules back. New Users Lounge > [READ] - InsanelyMac Forum Rules - The InsanelyMac Staff Team. 
Sign in to follow this  
Mohamed Khairy

GMA3150 Bootloader by meklort

54 posts in this topic

Recommended Posts

No... im at the beginning... the installation of 10.6.0 is finished i set up my account and im now on the desktop... so how I install the new kernel a step by step guide would be great :)

Share this post


Link to post
Share on other sites
No... im at the beginning... the installation of 10.6.0 is finished i set up my account and im now on the desktop... so how I install the new kernel a step by step guide would be great :)

name it

atom_kernel

 

and put it on root

 

and then add to boot.plist this key

<key>Kernel</key>

<string>atom_kernel</string>

 

and then do bootloader

remove kernelpatcher.dyilb from modules

update to 10.6.4 then restart

Share this post


Link to post
Share on other sites
name it

atom_kernel

 

and put it on root

 

and then add to boot.plist this key

<key>Kernel</key>

<string>atom_kernel</string>

 

and then do bootloader

remove kernelpatcher.dyilb from modules

update to 10.6.4 then restart

 

Ok. I'll update to 10.6.4 at this moment and will reboot after that.. Shall I fix permissions via disk utility before I reboot?

 

 

I'll report if it worked.

 

Edit: Damn can't update to 10.6.4... same thing as last time have to install the 10.6.2 update first... So will the bootloader work with the 10.6.2 update too?

 

Edit2: Can't install the 10.6.2 Update too... because the installer tells me that my hdd doesn't comply the requirements :) So I have to install 10.6.1 first

 

Ahhh fuuuu... Can't install the Update 10.6.1 too.... what should I do now?!

 

Edit3: I'm trying to fix the permissions, maybe it will work then.

Share this post


Link to post
Share on other sites
Ok. I'll update to 10.6.4 at this moment and will reboot after that.. Shall I fix permissions via disk utility before I reboot?

 

 

I'll report if it worked.

 

Edit: Damn can't update to 10.6.4... same thing as last time have to install the 10.6.2 update first... So will the bootloader work with the 10.6.2 update too?

 

Edit2: Can't install the 10.6.2 Update too... because the installer tells me that my hdd doesn't comply the requirements :) So I have to install 10.6.1 first

 

Ahhh fuuuu... Can't install the Update 10.6.1 too.... what should I do now?!

 

Edit3: I'm trying to fix the permissions, maybe it will work then.

 

use apple updater to update

Share this post


Link to post
Share on other sites

Icq?...

 

 

 

 

I tried to reboot now... and got a kernel panic...

 

"Version mis-match between Kernel and CPU PM"@/SourceCache/xnu/xnu-1504.7.4/osfmk/i386/pmCPU.c:706

 

This is just hopeless... :'(

Share this post


Link to post
Share on other sites
Icq?...

 

 

 

 

I tried to reboot now... and got a kernel panic...

 

"Version mis-match between Kernel and CPU PM"@/SourceCache/xnu/xnu-1504.7.4/osfmk/i386/pmCPU.c:706

 

This is just hopeless... :'(

 

do you use retail setup or hacked dvd

Share this post


Link to post
Share on other sites
do you use retail setup or hacked dvd

 

I installed Mac OS X from a retail Disk. I bought the DVD on amazon.

I "put" the DVD on my USB Flash Key and made it to boot with Netbootmaker.

Share this post


Link to post
Share on other sites

I was able to boot into Mac OS X now, using the BootCD you sent to me. Thanks for that ;)...

 

But you have to tell me how to make the internal hdd boot ready so that I don't need the BootCD.

 

And I'm still unanble to update to a new version like 10.6.1, 10.6.2 or 10.6.4 because it says that my hdd doesn't comply the requirements :angel:

Share this post


Link to post
Share on other sites
I was able to boot into Mac OS X now, using the BootCD you sent to me. Thanks for that ;) ...

 

But you have to tell me how to make the internal hdd boot ready so that I don't need the BootCD.

 

And I'm still unanble to update to a new version like 10.6.1, 10.6.2 or 10.6.4 because it says that my hdd doesn't comply the requirements :angel:

 

 

iam online

Share this post


Link to post
Share on other sites
sure

 

done, sent the id and password to you :angel:

 

 

 

 

well im currently hanging at the apple logo with a spinning wheel under it.. should i try to reboot and use -f?

Share this post


Link to post
Share on other sites
done, sent the id and password to you :angel:

 

 

 

 

well im currently hanging at the apple logo with a spinning wheel under it.. should i try to reboot and use -f?

 

 

boot with -v

 

and please see mail idont have more time

Share this post


Link to post
Share on other sites

Mohamed Khairy you rock! I've been baffled about updating my laptop to a newer version! When I tried to update to 10.6.4, it just kept restarting my system at the apple logo. On 10.6.5, it did absolutely nothing but froze in a locked state at the apple logo. With your replies to Shourijo, I simply downloaded the atom 10.5 patch and applied via your directions to my already updated 10.6.5 drive (using my "test disk" 10.6.0 version on flash drive) and I'm back up and running! Am going to try the 3150 next. Thanks! :)

Share this post


Link to post
Share on other sites

just bought a Dell Mini 1010 with that graphics card. Full resolution works fine but just wondering what the status is for QE support? Can't run any of the screensavers nor play certain games.

Share this post


Link to post
Share on other sites

Hello thank you for all your hard work.

 

I have done what you said in the instructions and have tried GraphicsEnabler, AutoResolution and "Graphics Mode"="1366x768x32" and nothing seems to work for me. I have tried grabbing the EDID but it cannot be found in linux or OS X but it will boot up to the correct res in linux. I have also tried the latest NBI (0.8.5) but it hasnt worked either.)

Share this post


Link to post
Share on other sites
Any news? Thanks !!

 

Me thinks Meklort has been buried in work work. I've spent the last couple of free moments I've had to look at this problem and I have made some (not much) progress.

 

I have managed to get the translucent menubar appearing within about a minute of the blue screen. I have also got the volume OSD to appear (but not disappear). I believe the problem is the way the hardware is generating timestamps for which the driver synchronizes while transferring textures etc to the hardware.

 

At the moment I have no idea on how to fix it, but I'll keep hacking at the driver and if I manage to get something, I'll release it.

Share this post


Link to post
Share on other sites
Me thinks Meklort has been buried in work work. I've spent the last couple of free moments I've had to look at this problem and I have made some (not much) progress.

 

I have managed to get the translucent menubar appearing within about a minute of the blue screen. I have also got the volume OSD to appear (but not disappear). I believe the problem is the way the hardware is generating timestamps for which the driver synchronizes while transferring textures etc to the hardware.

 

At the moment I have no idea on how to fix it, but I'll keep hacking at the driver and if I manage to get something, I'll release it.

 

 

So sad, almost every netbook have GMA3150 :P

Share this post


Link to post
Share on other sites

hi,

 

 

 

 

i have testing some to load the GMA950 Kext ... but i get an unresolved Kernel Symbol

 

 

 

 

Jul  2 00:29:05 daaaners-Mac-Pro kernel[0]: kxld[com.apple.driver.AppleIntelGMA950]: The following symbols are unresolved for this kext:
Jul  2 00:29:05 daaaners-Mac-Pro kernel[0]: kxld[com.apple.driver.AppleIntelGMA950]: 	_cpuid_features

 

 

 

 

and I don't know how to remove this problem

 

 

 

 

My Steps:

 

1. Selfmod [url=&quot;http://www.insanelymac.com/forum/topic/279450-why-insanelymac-does-not-support-tonymacx86/&quot;]#####[/url] (Atom Kernel) + 10.6.3 retail

 

2. update to 10.6.7 + Atom Kernel + Bootloader

 

3. Insert GMA950 EFI String

 

4. Change smbios to a MacMini1,1 (because the kext check the OSInfo)

 

5. Download and add this Kext http://www.kexts.com/view/1090-gma950-945_kexts.html

 

6. Change the DevID

Loading_GMA950.zip

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×